/**
 * Oppgave5_1.java - "Programmering i Java", 4.utgave - 2010-02-22
 *
 * Definerer klassen Prosjekt med tilhrende klientprogram som oppdaterer prosjektets utgifter.
 */
import static javax.swing.JOptionPane.*;

class Oppgave5_1 {
  public static void main(String[] args) {

    Prosjekt prosjekt1 = new Prosjekt("NyBy", "Ingrid Hansen", 50000000.00);

    String utgiftLest = showInputDialog("Oppgi utgift, avslutt med Esc: ");
    while (utgiftLest != null) {
      double utgift = Double.parseDouble(utgiftLest);
      prosjekt1.nyUtgift(utgift);
      utgiftLest = showInputDialog("Prosjektinformasjon: " + prosjekt1.toString() + "\n\n" + "Flere utgifter, avslutt med Esc: ");
    }
  }
}

/**
 * Klassen Prosjekt
 */
class Prosjekt {
  private final String tittel;
  private final String ansvarlig;
  private final double budsjett;
  private double utgifter;

  public Prosjekt(String tittel, String ansvarlig, double budsjett) {
    this.tittel = tittel;
    this.ansvarlig = ansvarlig;
    this.budsjett = budsjett;
    this.utgifter = 0.0;
  }

  public String getTittel() {
    return tittel;
  }

  public String getAnsvarlig() {
    return ansvarlig;
  }

  public double getBudsjett() {
    return budsjett;
  }

  public double getUtgifter() {
    return utgifter;
  }

  public void nyUtgift(double enNyUtgift) {
    utgifter += enNyUtgift;
  }

  public String toString() {
    return "Prosjekt:  " + tittel + "\n" +
           "Ansvarlig: " + ansvarlig + "\n" +
           "Budsjett:  " + budsjett + "\n" +
           "Utgifter:  " + utgifter;
  }
}