<!--
   Oppgave25_4.jsp   E.L. 2006-01-23
-->
<html><head><title>Bokhandel</title></head>
<body bgcolor="wheat" text="black" link="darkgreen" vlink="steelblue" alink="darkblue">
<h1>Bker</h1>

<%@ page import="mittBibliotek.Bok, java.util.*, java.text.NumberFormat, java.io.*" %>

<%! private NumberFormat pengeFormat; %>
<%! private Vector<Bok> boktitler = new Vector<Bok>(); // Vector er en klasse med synkroniserte metoder %> 
<%! private static final String filnavn = "d:/temp/bokliste.txt"; %>
<%! private static final String skilletegn = "*";  // i datafilen %>

<%! public void jspInit() { // initiering felles for alle klienter, kjres nr servleten starter

      /* pengeformatet */
      pengeFormat = NumberFormat.getCurrencyInstance();

      /* 
       * Leser bokdata fra filen. 
       * Viktig  lese (og skrive) alle data i n operasjon. 
       * Det forhindrer at andre klienter kommer innimellom og delegger dataene. 
       * Av denne grunn ligger alle dataene p n linje p filen.
       * Dataene skilles med 'skilletegn'. Eksakt tre data pr bok:
       *    Forfatter og tittel
       *    Pris
       *    Antall solgt hittil
       *
       * Ingen datakontroll foretas. 
       */
      
      String enLinje = null;
      try {
       FileReader leseforbTilFil = new FileReader(filnavn);
       BufferedReader leser = new BufferedReader(leseforbTilFil);
       enLinje = leser.readLine();
       leser.close();
      } catch (IOException e) {
        System.out.println("Feil ved kontakt med datafilen " + filnavn + ": " + e);        
      }
      StringTokenizer data = new StringTokenizer(enLinje, skilletegn);
      while (data.hasMoreTokens()) {
        String tittel = data.nextToken();
        String prisS = data.nextToken();
        double pris = Double.parseDouble(prisS);
        String tallS = data.nextToken();
        int antall = Integer.parseInt(tallS);
        Bok nyBok = new Bok(tittel, pris);
        nyBok.settAntall(antall);
        boktitler.add(nyBok);
      }       
    }
%>
<%! public void createBookList(HttpSession sesjonsobjekt) {
      int[] minOrdre = new int[boktitler.size()]; // alle elementene er lik 0
      sesjonsobjekt.setAttribute("minOrdre", minOrdre);
    }
%>

<%
  if (session.isNew()) {
    createBookList(session);
    out.println("Velkommen til bokhandelen!");
  }

  int[] minOrdre = (int[]) session.getAttribute("minOrdre");

  if (minOrdre == null) {
    out.println("Du har allerede sendt en bestilling i denne kten. <br>" + 
                "Lukk, og deretter pne nettleseren p nytt, dersom du vil bestille flere bker.");
  } else {
    double totalpris = 0.0;
    int totaltAntall = 0;

    if (request.getParameter("nullstill") != null) {
      for (int i = 0; i < boktitler.size(); i++) minOrdre[i] = 0;
      out.println("Ingen bker bestilt");
    }

    if (request.getParameter("oppdater") != null ||
        request.getParameter("send") != null) {
    %>
    <%@ include file = "Oppgave25_4oppdater.jsp"%>
    <%
    }

    if (request.getParameter("send") == null) {
    %>
      <br>
      <form action = "Oppgave25_4.jsp" method = "post">
      <table border=1>
        <tr><th>Title</th><th>Pris</th><th>Number</th>
        <%
          for (int i = 0; i < boktitler.size(); i++) {
            Bok denneBok = boktitler.get(i);
             %>
             <tr><td> <%=denneBok.finnTittel()%></td>
                 <td> <%=pengeFormat.format(denneBok.finnPris())%></td>
                 <td> <input type="text" name="<%="antall"%>"
                       value="<%=minOrdre[i]%>"></td>
             </tr>
             <%
           }
        %>
      </table>
      <br>
      <input type="submit" name="oppdater" value="Oppdater status">
      <input type="submit" name="nullstill" value="Nullstill ordre">
      <input type="submit" name="send" value="Send ordre">
      </form>
    <%
    } else {
    %>
    <%@ include file = "Oppgave25_4send.jsp"%>
    <%
    }
  }
  %>
</body></html>
