<!--
   Oppgave25_4totaltSalg.jsp   E.L. 2006-01-23
-->
<html><head><title>Bokhandel - totalsalg</title></head>
<body bgcolor="wheat" text="black" link="darkgreen" vlink="steelblue" alink="darkblue">
<h1>Bker</h1>

<%@ page import="mittBibliotek.Bok, java.util.*, java.text.NumberFormat, java.io.*" %>

<%! private NumberFormat pengeFormat; %>
<%! private Vector<Bok> boktitler = new Vector<Bok>(); // Vector er en klasse med synkroniserte metoder %> 
<%! private static final String filnavn = "d:/temp/bokliste.txt"; %>
<%! private static final String skilletegn = "*";  // i datafilen %>

<%! public void jspInit() { // initiering felles for alle klienter, kjres nr servleten starter

      /* pengeformatet */
      pengeFormat = NumberFormat.getCurrencyInstance();
    }
%>

<%
  String enLinje = null;
  try {
   FileReader leseforbTilFil = new FileReader(filnavn);
   BufferedReader leser = new BufferedReader(leseforbTilFil);
   enLinje = leser.readLine();
   leser.close();
  } catch (IOException e) {
    System.out.println("Feil ved kontakt med datafilen " + filnavn + ": " + e);        
  }
  
  StringTokenizer data = new StringTokenizer(enLinje, skilletegn);
  while (data.hasMoreTokens()) {
    String tittel = data.nextToken();
    String prisS = data.nextToken();
    double pris = Double.parseDouble(prisS);
    String tallS = data.nextToken();
    int antall = Integer.parseInt(tallS);
    Bok nyBok = new Bok(tittel, pris);
    nyBok.settAntall(antall);
    boktitler.add(nyBok);
  }       

  double total = 0.0; 
  %>
    <br>
    <table border=1>
      <tr><th>Title</th><th>Pris</th><th>Salg</th><th>Belp</th>
      <%
        for (Bok denneBok : boktitler) {
           %>
           <tr><td> <%=denneBok.finnTittel()%></td>
               <td align="left"> <%=pengeFormat.format(denneBok.finnPris())%></td>
               <td> <%=denneBok.finnAntall()%></td>
               <td align="left"> <%=pengeFormat.format(denneBok.finnAntall() * denneBok.finnPris())%></td>
           </tr>
           <%
           total += denneBok.finnAntall() * denneBok.finnPris();
         }
      %>
    </table>
    <br>
    <strong>Salgsum: <%=pengeFormat.format(total)%></strong>     
</body></html>
